%define srcver 2.2.5
%define _ssldir %(openssl-config --openssldir)
%define _pemdir %_ssldir/certs
%set_libtool_version 1.4

Name: nessus-core
Version: 2.2.5
Release: alt1
License: GPL
Url: http://www.nessus.org
Group: Security/Networking
Summary: The Nessus is a security auditing tool.

PreReq: chkconfig, %_ssldir

Source0: nessus-core-%srcver.tar.gz
Source1: nessusd.init
Source2: nessusd.conf
Source3: nessusd.rules
Source10: nessus.xpm
Source11: nessus-large.xpm
Source12: nessus-README.ALT

Patch1: nessus-core-2.0.7-alt-makefile.patch
Patch2: nessus-core-2.0.7-alt-pidfile.patch
Patch3: nessus-core-2.0.7-alt-mkcert.patch

# Automatically added by buildreq on Sat Feb 12 2005
BuildRequires: glib-devel gtk+-devel libgd2-devel libpcap-devel libssl-devel libwrap-devel xorg-x11-devel
BuildRequires: libnasl-devel = %version libnessus-devel = %version
BuildRequires: libtool_1.4


%package -n nessus-server
Group: Security/Networking
Summary: The Nessus is a security auditing tool.

%package -n nessus-client
Group: Security/Networking
Summary: This is client part of nessus.

%package -n nessus-devel
Group: Development/Other
Summary: Header files needed for nessus development.

%description
Nessus -- network security auditing toolset.

%description -n nessus-server
Server part of nessus security auditing tool.

%description -n nessus-client
Client part of nessus security auditing tool.

%description -n nessus-devel
Header files for nessus development.

%prep
%setup -q -n nessus-core
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
 --sharedstatedir=/var/lib \
 --enable-syslog \
 --enable-gtk \
 --enable-tcpwrappers \
 --with-x


NPROCS=1		  
%make_build

%install
%makeinstall sharedstatedir=%buildroot/var/lib

%__mkdir_p %buildroot/%_menudir
%__mkdir_p %buildroot/%_initdir
%__mkdir_p %buildroot/%_logdir/nessus
%__mkdir_p %buildroot/%_iconsdir/large

%__install -m 0755 %SOURCE1 %buildroot/%_initdir/nessusd
%__install -m 0640 %SOURCE2 %buildroot/%_sysconfdir/nessus
%__install -m 0640 %SOURCE3 %buildroot/%_sysconfdir/nessus
%__install -m 0644 %SOURCE10 %buildroot/%_iconsdir
%__install -m 0644 %SOURCE11 %buildroot/%_iconsdir/large
%__install -m 0644 %SOURCE12 README.ALT

cat > %buildroot/%_menudir/nessus << EOF
?package(nessus-client):command="%_bindir/nessus" needs="X11" \
section="Networking/Other" title="Nessus client" \
longtitle="The Nessus auditing tool client" icon="nessus.xpm"
EOF


%__mkdir_p -m 0755 %buildroot/%_pemdir
touch %buildroot/%_pemdir/nessus-cacert.pem
touch %buildroot/%_pemdir/nessus-cakey.pem
touch %buildroot/%_pemdir/nessus-servercert.pem
touch %buildroot/%_pemdir/nessus-serverkey.pem

%post -n nessus-server
%post_service nessusd
if [ $1 = "1" ]; then
 echo "nessusd: ALL EXCEPT 127.0.0.1" >> %_sysconfdir/hosts.deny
fi

# generate SSL certs
if [ ! -f %_pemdir/nessus-cakey.pem \
  -o ! -f %_pemdir/nessus-serverkey.pem \
  -o ! -f %_pemdir/nessus-cacert.pem \
  -o ! -f %_pemdir/nessus-servercert.pem ]; then

  echo -n "Generating SSL cert for Nessus daemon: "
  /usr/sbin/nessus-mkcert -q >/dev/null 2>&1
  echo " done."
fi

%preun -n nessus-server
%preun_service nessusd
if [ $1 = "0" ]; then
  %__subst "s|^nessusd: ALL EXCEPT 127.0.0.1$||g;" \
     %_sysconfdir/hosts.deny
fi

%post -n nessus-client
%update_menus

%postun -n nessus-client
%clean_menus


%files -n nessus-server
%dir %_sysconfdir/nessus
%config %attr(0600,root,root) %_sysconfdir/nessus/nessusd.conf
%config %attr(0640,root,root) %_sysconfdir/nessus/nessusd.rules
%_initdir/nessusd
%_sbindir/*
%dir %_libdir/nessus
%_libdir/nessus/*
%dir %_logdir/nessus
%dir %_localstatedir/nessus
%_localstatedir/nessus/*
%_man8dir/*
%ghost %attr(0600,root,root) %config(noreplace,missingok) %_pemdir/nessus-cakey.pem
%ghost %attr(0600,root,root) %config(noreplace,missingok) %_pemdir/nessus-serverkey.pem
%ghost %attr(0644,root,root) %config(noreplace,missingok) %_pemdir/nessus-cacert.pem
%ghost %attr(0644,root,root) %config(noreplace,missingok) %_pemdir/nessus-servercert.pem
%doc CHANGES INSTALL README_SSL TODO README.ALT
%doc doc/ntp doc/*.txt doc/nsr.dtd doc/Top20-2002 doc/WARNING.En

%files -n nessus-client
%_bindir/*
%_man1dir/*
%_menudir/nessus
%_iconsdir/nessus.xpm
%_iconsdir/large/nessus-large.xpm

%files -n nessus-devel
%dir %_includedir/nessus
# this file conflicts with same file from libnessus-devel
#_includedir/nessus/includes.h
%_includedir/nessus/config.h
%_includedir/nessus/nessus-devel.h
%_includedir/nessus/nessusicmp.h
%_includedir/nessus/nessusip.h
%_includedir/nessus/nessusraw.h
%_includedir/nessus/nessustcp.h
%_includedir/nessus/nessusudp.h
%_includedir/nessus/ntcompat.h

%changelog
* Sun Jul 31 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.5-alt1
- 2.2.5

* Sat Feb 12 2005 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.3-alt1
- 2.2.3

* Tue Nov 23 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Sun Aug 15 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.12-alt1
- 2.0.12

* Thu Aug 12 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.10-alt1.1.1
- Rebuilt with libgd2-2.0.28.

* Mon May 10 2004 ALT QA Team Robot <qa-robot@altlinux.org> 2.0.10-alt1.1
- Rebuilt with openssl-0.9.7d.

* Sat Apr 10 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.10-alt1
- 2.0.10a

* Fri Mar 12 2004 Denis Smirnov <mithraen@altlinux.ru> 2.0.9-alt3
- rebuild with libpcap0.8

* Thu Dec 25 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.9-alt2
- rebuild with new libnasl

* Mon Nov 10 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.9-alt1
- 2.0.9

* Fri Oct 03 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.8-alt1
- 2.0.8

* Tue Sep 09 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 2.0.7-alt1
- 2.0.7
- spec-file fixes
- init-script rewrited

* Mon Oct 14 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.6-alt1
- Build for new version
- Fixed build requires
- Fixed group of package

* Fri Oct 11 2002 Serge Sergeev <ssv@altlinux.ru> 1.2.5-alt1
- Build for new version

* Thu Jul 25 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Build for new version
* Thu Jun 20 2002 Serge V. Sergeev <sergeyssv@mail.ru>
- Initial release
